---
layout: default
permalink: /projects/
title: Software projects
description: >
  Here is a list of all projects I worked on that I deem good or important
  enough to publish here. This list won't always be complete, but it's good
  enough for a quick overview.
---
{% assign projects = site.projects | sort: 'title' %}

# Projects

Here is a list of all projects I worked on that I deem good or important enough
to publish here. This list won't always be complete, but you can check my
profiles on [GitLab][gitlab] or [Github][github] if you're interested to see
more.

All of the projects listed below are [Free software][free-software], and are
made in my free time. Contributions in any form are welcome. This includes, but
is not limited to, pull/merge requests, bug reports and [financial
support][support]. You can also come discuss the projects and possible issues
you have found with them on IRC or contact me through email. Details for both
can be found [on the homepage][home].

Some projects have extended descriptions available. You can reach these by
clicking their respective links. You can read some background information on
why I decided to start out with the project, and how to make use of it yourself
as well.

<table class="table">
	<thead>
		<tr>
			<th>Project</th>
			<th>Source code repository</th>
		</tr>
	</thead>
	<tbody>
		{% for project in projects %}
			<tr>
				<td>
					{% if project.content != "" %}
						<a href="{{ project.url }}">{{ project.title }}</a>
					{% else %}
						{{ project.title }}
					{% endif %}
				</td>
				<td>
					<a href="{{ project.repo }}">{{ project.repo }}</a>
				</td>
			</tr>
		{% endfor %}
	</tbody>
</table>

[free-software]: https://en.wikipedia.org/wiki/Free_software
[github]: https://github.com/tyil
[gitlab]: https://gitlab.com/tyil
[home]: /
[support]: /support/
