---
layout: default
permalink: /slides/
title: Presentations and Slides
description: >
  Here is a list of the slides I've used for presentations. The slides are in
  Markdown format, and can be compiled into a working slideshow using
  reveal-md. The slides here are the original sources, and include speaker
  notes.
---

# Presentations and Slides
Here is the list of presentations I've given and the slideshows I've used for
them. If there are video sources available, they will be linked to as well.

The slides are written in Markdown, and can be compiled to a usable slideshow
using [`reveal-md`][reveal-md]. The slide sources are complete, including the
speaker notes.

I've only given a single presentation right now, but I plan to do more of them
at various events, such as [FOSDEM][fosdem]. I want to give more presentations
to get better at presenting people and getting them interested in programming
languages and aspects that I am also interested in. It's also a great way to
promote my favourite programming language, [Perl 6][perl6].

<table class="table">
	<thead>
		<tr>
			<th>Event</th>
			<th>Date</th>
			<th>Materials</th>
		</tr>
	</thead>
	<tbody>
		{% for slides in site.slides %}
			<tr>
				<td>{{ slides.event }}</td>
				<td>
					{% assign day = slides.date | date: "%-d"  %}
					{% case day %}
						{% when '1' or '21' or '31' %}{{ day }}st
						{% when '2' or '22' %}{{ day }}nd
						{% when '3' or '23' %}{{ day }}rd
					{% else %}
						{{ day }}th
					{% endcase %}
					{{ slides.date | date: "of %B, %Y" }}
				</td>
				<td>
					<a href="https://gitlab.com/tyil/blog/blob/master/{{ slides.path }}">
						Slides
					</a>
					{% if slides.video %}
						, <a href="{{ slides.video }}">Video</a>
					{% endif %}
				</td>
			</tr>
		{% endfor %}
	</tbody>
</table>

[reveal-md]: https://github.com/webpro/reveal-md
[fosdem]: https://fosdem.org/
[perl6]: https://perl6.org/
