module Jekyll
	class AdmonitionMarkdownBlock < Liquid::Block
		@type = ""

		def initialize(tag_name, text, tokens)
			super

			@type = text
		end

		require "redcarpet"

		def render(context)
			content = super

			'<section class="admonition">
				<div class="admonition-title">' + @type + '</div>
				<div class="admonition-content">
					' + Redcarpet::Markdown.new(Redcarpet::Render::HTML).render(content) + '
				</div>
			</section>'
		end
	end
end

Liquid::Template.register_tag('admonition_md', Jekyll::AdmonitionMarkdownBlock)
