---
layout:  project
title:   Assixt
date:    2017-07-01T00:00:00Z
langs:   Perl 6
license: GPLv3
repo:    https://gitlab.com/tyil/perl6-app-assixt
---

`assixt`, or `App::Assixt`, is a Perl 6 module which I wrote in order to make
it easier to write more Perl 6 modules. I also used it as a good project to get
better with Perl 6 with. Nowadays, it's doing much more than I anticipated at
the start of the project. I've turned it into a more complete solution for Perl
6 projects in general.

`assixt` can create new Perl 6 module skeletons, complete with `.gitignore`,
basic CHANGELOG, Travis and GitLab CI configurations and more. It will also
keep version numbers used accross your project in sync, create correct
distribution tarballs and allows you to upload them to [CPAN][cpan] directly
from the command line.

I've given a presentation on this project at the 14th Dutch Perl Workshop, and
the slides are available [on the Slides section of my site][slides] as well.

## Installation

To install `assixt`, you will need to have Perl 6 installed, and `zef`
available as well. I recommend you use [Rakudo Star][rakudo] releases for
these. If you're using GNU+Linux, you might want to take a look at
[LoneStar][lonestar].  This is a Bash program that will fetch, unpack and
compile Rakudo Star Perl 6 for you, including `zef` and a number of other
common modules.

If you have Perl 6 installed, simply invoke `zef` to install the module
containing `assixt`:

```sh
zef install App::Assixt
```

## Support and feedback

Check out `assixt --help` for an overview of what you can do with it. You can
also check the README on the repository to get a more extensive overview of the
possibilities, and some examples on how to use it.

You can also create issues on the repository if you are still having trouble,
or perhaps even found a bug. The `#perl6` channel on Freenode might also be of
assistance, as I am almost always available in that channel (so long as I'm
awake). You can report feedback through issues or IRC as well.

[cpan]: https://www.cpan.org/
[slides]: /slides/
[lonestar]: /projects/lonestar/
[rakudo]: https://rakudo.org/
